{
  "schemaVersion": 1,
  "id": "hexucasting",
  "version": "${version}",

  "name": "Hexucasting",
  "description": "we do a little ruining it",
  "authors": [
    "Hexugory"
  ],
  "contact": {
    "homepage": "",
    "sources": "https://git.touhoudiscord.net/Hexugory/hexucasting"
  },

  "license": "MIT",
  "icon": "borp.png",

  "environment": "*",
  "entrypoints": {
    "main": [
      {"adapter": "kotlin", "value": "net.touhoudiscord.hexucasting.fabric.FabricHexucastingInitializer"}
    ],
    "client": [
      {"adapter": "kotlin", "value": "net.touhoudiscord.hexucasting.fabric.FabricHexucastingClientInitializer"}
    ],
    "rei_client": [
      "net.touhoudiscord.hexucasting.fabric.interop.rei.HexucastingREIPlugin"
    ],
    "emi": [
      "net.touhoudiscord.hexucasting.fabric.interop.emi.HexucastingEMIPlugin"
    ],
    "modmenu": [
      "net.touhoudiscord.hexucasting.fabric.interop.ModMenuInterop"
    ]
  },
  "mixins": [
    "hexucastingplat.mixins.json",
    "hexucasting.mixins.json"
  ],
  "accessWidener": "hexucasting.accesswidener",

  "depends": {
    "minecraft": "=1.19.2",
    "java": ">=17",
    "fabricloader": ">=0.14",
    "fabric": ">=0.64",
    "fabric-language-kotlin": ">=1.7.4+kotlin.1.6.21",
    "cardinal-components": ">=5.0.2",
    "patchouli": ">=1.19.2-77",
    "paucal": "0.5.x",
    "hexcasting": ">=0.10.3"
  },

  "custom": {
    "cardinal-components": [
    ]
  }
}
